umbrello: AssociationGeneralPage Class Reference

umbrello 25.08.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
AssociationGeneralPage Class Reference

Display properties on a UMLObject. More...

`#include <associationgeneralpage.h>`

Inheritance diagram for AssociationGeneralPage:

## Public Slots
void | slotStereoCheckboxChanged (int state)

## Public Member Functions
| AssociationGeneralPage (QWidget *parent, AssociationWidget *a)
| ~AssociationGeneralPage ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Member Functions
void | constructWidget ()

## Private Attributes
QGridLayout * | m_pNameAndTypeLayout
QLabel * | m_pAssocNameL
QLineEdit * | m_pAssocNameLE
KComboBox * | m_pAssocNameComB
QCheckBox * | m_pStereoChkB
KComboBox * | m_pTypeCB
QList< Uml::AssociationType::Enum > | m_AssocTypes
QStringList | m_AssocTypeStrings
DocumentationWidget * | m_docWidget
AssociationWidget * | m_pAssociationWidget
ObjectWidget * | m_pWidget

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

Display properties on a UMLObject.

Displays properties of a UMLObject in a dialog box. This is not usually directly called. The class AssociationPropertiesDialog will set this up for you.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ AssociationGeneralPage()

AssociationGeneralPage::AssociationGeneralPage | ( | QWidget * | parent,
|  | AssociationWidget * | assoc )

Sets up the AssociationGeneralPage.

Parameters

  parent | The parent to the AssociationGeneralPage.
  assoc | The AssociationWidget to display the properties of.

## ◆ ~AssociationGeneralPage()

AssociationGeneralPage::~AssociationGeneralPage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

void AssociationGeneralPage::apply | ( |  | ) |

Will move information from the dialog into the object. Call when the ok or apply button is pressed.

## ◆ constructWidget()

void AssociationGeneralPage::constructWidget | ( |  | ) |
| private

Construct all the widgets for this dialog.

## ◆ slotStereoCheckboxChanged

void AssociationGeneralPage::slotStereoCheckboxChanged | ( | int | state | ) |
| slot

## Member Data Documentation

## ◆ m_AssocTypes

QList<Uml::AssociationType::Enum> AssociationGeneralPage::m_AssocTypes
| private

## ◆ m_AssocTypeStrings

QStringList AssociationGeneralPage::m_AssocTypeStrings
| private

## ◆ m_docWidget

DocumentationWidget* AssociationGeneralPage::m_docWidget
| private

## ◆ m_pAssociationWidget

AssociationWidget* AssociationGeneralPage::m_pAssociationWidget
| private

## ◆ m_pAssocNameComB

KComboBox* AssociationGeneralPage::m_pAssocNameComB
| private

## ◆ m_pAssocNameL

QLabel* AssociationGeneralPage::m_pAssocNameL
| private

## ◆ m_pAssocNameLE

QLineEdit* AssociationGeneralPage::m_pAssocNameLE
| private

## ◆ m_pNameAndTypeLayout

QGridLayout* AssociationGeneralPage::m_pNameAndTypeLayout
| private

## ◆ m_pStereoChkB

QCheckBox* AssociationGeneralPage::m_pStereoChkB
| private

## ◆ m_pTypeCB

KComboBox* AssociationGeneralPage::m_pTypeCB
| private

## ◆ m_pWidget

ObjectWidget* AssociationGeneralPage::m_pWidget
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/associationgeneralpage.h
- umbrello/dialogs/pages/associationgeneralpage.cpp